Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.xml
Class Marshaller

    java.lang.Object
      com.jaspersoft.jasperserver.ws.xml.Marshaller

    public class Marshaller

extends java.lang.Object

Author:
  gtoffoli

Field Summary
`static java.lang.String[]` | `special_chars`

Constructor Summary
`Marshaller()` Creates a new instance of XMLMarchaller

Method Summary
`java.lang.String` | `getEncoding()`
`static void` | `marshal(java.lang.Object obj, java.io.StringWriter out)`
`java.lang.String` | `marshal(OperationResult response)`
`java.lang.String` | `marshal(Request request)`
`void` | `setEncoding(java.lang.String encoding)`
`static java.lang.String` | `string_replace(java.lang.String s1, java.lang.String s2, java.lang.String s3)` Replace s2 with s1 in s3
`java.lang.String` | `writeResourceDescriptor(ResourceDescriptor rd)`
`static java.lang.String` | `xmlEscape(java.lang.String text)` Replave invalid xml chars according to the following table: & => & " => " ' => ' < => < > => >

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### special_chars

    public static final java.lang.String[] special_chars

Constructor Detail

### Marshaller

    public Marshaller()

  Creates a new instance of XMLMarchaller

Method Detail

### marshal

    public static void marshal(java.lang.Object obj,
                               java.io.StringWriter out)

### xmlEscape

    public static java.lang.String xmlEscape(java.lang.String text)

  Replave invalid xml chars according to the following table: & => & " => " ' => ' < => < > => >

### string_replace

    public static java.lang.String string_replace(java.lang.String s1,
                                                  java.lang.String s2,
                                                  java.lang.String s3)

  Replace s2 with s1 in s3

### marshal

    public java.lang.String marshal(Request request)

### writeResourceDescriptor

    public java.lang.String writeResourceDescriptor(ResourceDescriptor rd)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

### marshal

    public java.lang.String marshal(OperationResult response)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.